/**
 * Copyright 2010 Västra Götalandsregionen
 *
 *   This library is free software; you can redistribute it and/or modify
 *   it under the terms of version 2.1 of the GNU Lesser General Public
 *   License as published by the Free Software Foundation.
 *
 *   This library is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU Lesser General Public License for more details.
 *
 *   You should have received a copy of the GNU Lesser General Public
 *   License along with this library; if not, write to the
 *   Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 *   Boston, MA 02111-1307  USA
 *
 */

package se.vgregion.mobile.hriv.domain;

/**
 * Unit LDAP attribute constants for KIV.
 */
public class KivwsAttributes {
    public static final String CN = "cn";
    public static final String OBJECT_CLASS = "objectClass";
    public static final String OU = "ou";
    public static final String HSA_IDENTITY = "hsaidentity";
    public static final String ORGANIZATIONAL_UNITNAME_SHORT = "organizationalUnitNameShort";
    public static final String DESCRIPTION = "description";
    public static final String VGR_INTERNAL_DESCRIPTION = "vgrinternaldescription";
    public static final String MAIL = "mail";
    public static final String L = "l";
    public static final String LABELED_URI = "labeleduri";
    public static final String VGR_INTERNAL_SEDF_INVOICE_ADDRESS = "vgrinternalsedfinvoiceaddress";
    public static final String VGR_CARE_TYPE = "vgrcaretype";
    public static final String VGR_AO3_KOD = "vgrao3kod";
    public static final String HSA_BUSINESS_CLASSIFICATION_CODE = "hsabusinessclassificationcode";
    public static final String HSA_TEXT_PHONE_NUMBER = "hsatextphonenumber";
    public static final String MOBILE_TELEPHONE_NUMBER = "mobileTelephoneNumber";
    public static final String HSA_SEDF_SWITCHBOARD_TELEPHONE_NO = "hsasedfswitchboardtelephoneno";
    public static final String HSA_TELEPHONE_NUMBER = "hsatelephonenumber";
    public static final String HSA_SMS_TELEPHONE_NUMBER = "hsasmstelephonenumber";
    public static final String FACSIMILE_TELEPHONE_NUMBER = "facsimiletelephonenumber";
    public static final String PAGER_TELEPHONE_NUMBER = "pagerTelephoneNumber";
    //public static final String HSA_PUBLIC_TELEPHONE_NUMBER = "hsaPublicTelephoneNumber";
    public static final String HSA_PUBLIC_TELEPHONE_NUMBER = "hsapublictelephonenumber";
    public static final String HSA_TELEPHONE_TIME = "hsatelephonetime";
    public static final String HSA_END_DATE = "hsaenddate";
    public static final String HSA_SURGERY_HOURS = "hsasurgeryhours";
    public static final String HSA_DROPIN_HOURS = "hsadropinhours";
    public static final String HSA_INTERNAL_ADDRESS = "hsainternaladdress";
    public static final String HSA_STREET_ADDRESS = "hsastreetaddress";
    public static final String HSA_POSTAL_ADDRESS = "hsapostaladdress";
    public static final String HSA_CONSIGNEE_ADDRESS = "hsaconsigneeaddress";
    public static final String HSA_SEDF_DELIVERY_ADDRESS = "hsasedfdeliveryaddress";
    public static final String HSA_SEDF_INVOICE_ADDRESS = "hsasedfinvoiceaddress";
    public static final String HSA_UNIT_PRESCRIPTION_CODE = "hsaunitprescriptioncode";
    public static final String VGR_ANSVARSNUMMER = "vgransvarsnummer";
    public static final String HSA_MUNICIPALITY_CODE = "hsamunicipalitycode";
    public static final String VGR_EDI_CODE = "vgredicode";
    public static final String VGR_EAN_CODE = "vgreancode";
    public static final String HSA_MUNICIPALITY_SECTION_NAME = "hsamunicipalitysectionname";
    public static final String HSA_MUNICIPALITY_SECTION_CODE = "hsamunicipalitysectioncode";
    public static final String HSA_COUNTY_CODE = "hsacountycode";
    public static final String HSA_COUNTY_NAME = "hsacountyname";
    public static final String HSA_MANAGEMENT_CODE = "hsamanagementcode";
    public static final String HSA_VISITING_RULES = "hsavisitingrules";
    public static final String HSA_VISITING_RULE_AGE = "hsavisitingruleage";
    public static final String VGR_TEMP_INFO = "vgrtempinfo";
    public static final String VGR_REF_INFO = "vgrrefinfo";
    public static final String HSA_ADMINISTRATION_FORM = "hsaadministrationform";
    public static final String VGR_MODIFY_TIMESTAMP = "vgrmodifytimestamp";
    //public static final String VGR_MODIFY_TIMESTAMP = "vgrModifyTimestamp";
    public static final String CREATE_TIMESTAMP = "createtimestamp";
    public static final String HSA_GEOGRAPHICAL_COORDINATES = "hsageographicalcoordinates";
    public static final String HSA_ROUTE = "hsaroute";
    public static final String VGR_VARDVAL = "vgrvardval";
    public static final String VGR_AVTALSKOD = "vgravtalskod";
    public static final String VGR_LABELED_URI = "vgrlabeleduri";
    public static final String HSA_VISITING_HOURS = "hsavisitinghours";
    public static final String HSA_VISITING_RULE_REFERRAL = "hsavisitingrulereferral";
    public static final String HSA_DESTINATION_INDICATOR = "hsadestinationindicator";
    public static final String HSA_BUSINESS_TYPE = "hsabusinesstype";
    public static final String HSA_PATIENT_VISITING_RULES = "hsapatientvisitingrules";
    public static final String HSA_MANAGEMENT_CODE_TEXT = "hsamanagementcode_TEXT";

    private KivwsAttributes() {

    }
}
